0.0.1: initial release
0.0.2: 
	* pdf2swf: Added support for pdf bitmaps, clipping, state saving/restoring, colors,
	           solid fill and line width. The output SWF files are now much smaller.
	* swfcombine: Added stacking option (-t)
	* swfcombine: Small bugfixes with the command line options
	* rfxswf-lib: some bugfixes concerning sprites, cgi, shapes, jpegs.
	* swfstrings: New: Allows extraction of text from swf files
	* swfdump: New: Dumps swf file information. (And does some error checking on the SWF)
	* jpeg2swf: New: Converts one or more jpegs to a swf movie.

0.1.0: 
	* configure: Now works without automake, automatically disables 
			jpeg2swf and pdf2swf if jpeglib is not found (disable
			both) or t1lib is not found (disable pdf2swf)
	* swfcombine: bugfix: DEFINETEXT tags didn't get relocated right
	* swfcombine: bugfix: no longer builds "unstreamable" SWFs
	* rfxswf-lib: actionscript
	* rfxswf-lib: lossless image formats
	* pdf2swf: conversion of lossless image formats
	* pdf2swf: picture cache to prevent images getting stored more than once
	* pdf2swf: conversion of (hyper)links
	* swfdump: -a, -e and -XY options
	* lib/example/zlibtest: new file, demonstrates using lossless images with rfxswf-lib
	* lib/example/dumpfont: utility for dumping fonts out of swf (and generate c sourcecode for creating them)
	* lib/example/demofont: example font, generated with lib/example/dumpfont.

0.1.1:  
	* swfcombine: Wasn't able to handle converted pdfs with links. Fixed.
	* swfcombine: Introduce --dummy, -X,-Y,-r options
	* swfdump: new: -r option
	* pdf2swf: small bugfixes
	* HOWTO_pdf2swf: added section about correcting size and framerate

0.1.2:
	* swfdump: can dump all actionscript flavours (button, button2, standalone) now
	* rfxswf-lib: improved font handling
	* lib/example/makefonts.cc: new file, converts the standard fonts to swf
	* lib/example/glyphshape.c: new file, demonstrates using font characters as shapes
	* pdfswf: many bugfixes. The "pdfscreen" manual now get's converted correctly
	* rfxswf-lib: bugfix: Couldn't handle jpeg grayscale images

0.2.0:	
	* pdf2swf: TrueType support added. (using ttf2pt1)
	* rfxswf-lib: performs conversion of jpeg colorspaces now. (Makes pdf2swf cope
	               with more types of jpegs)
	* swfextract: new tool, allows to extract single objects, frames etc. from movieclips
	* swfcombine: allows ids instead of names, now, too.
	* swfdump: added text displaying functionality. (like swfstrings)
	* swfdump: now dumps also the undocumented placeobject2 actioncode.
	* lib/example/avi2swf.cc: For now, converts small (!) avi movie files to swf.  (using 
			          libavifile)

0.2.1:	
	* configure: Does checking for byte order and command substitution capability now.
	* rfxswf: Applied Anjo Krank's patch for MacOS X.
	* pdf2swf: Fixed font transformation matrix
	* swfcombine: new options: --cat, --stack1, --merge, --frame
	* swfs/: new directory, holds some standard SWFs primarily used for pdf2swf
	         installs into ${DATADIR}/swftools/swfs
	* pdf2swf: New options --viewer, --preloader, -b, -l
	* pdf2swf: Fonts are now in ${DATADIR}/swftools/fonts

0.2.2:	
	* swfs/: Added/Wrote sources for some of the swf files 
	* swfdump: Major bugfix in placeobject2, hex output function
	* swfextract: Can now extract png, jpeg and mp3.
	* swfcombine: big endian fixes
	* swfextract: big endian fixes
	* pdf2swf: Changed from 100dpi to 72dpi conversion
	* pdf2swf: Some optimizations, fix the zero string problem.
	* lib/: Added Bladeenc 0.94.1 for mp3 compression
	* lib/example/avi2swf.cc: Can now handle big files. Slightly better compression ratio. Sound.
	* lib/example/sound.c: New file, demonstrates use of the sound module in librfxswf.

0.2.3: 
	* pdf2swf: New option --fontdir, can now handle external fonts.
	* lib/modules/swftext.c: Several font-extraction bugfixes
	* src/swfdump: Bugfixes, ids and depths are now in decimal
	* src/swfcombine: Bugfixes.
	* configure.in: Cleaned up.

0.3.0:
	* pdf2swf: The --ignore option now actually makes the pdf files smaller.
	* rfxswf: Can now write DefineFont2 tags
	* swfextract/swfcombine: Bugfixes (DefineEditText)
	* swfdump: New option --used, prints out referred IDs of each tag.
	* rfxswf: Can now read and write Flash 6 (MX) compressed SWFs. (SWCs)
	* pdf2swf: Added compression flag (-z)
	* swfcombine: Added compression flag (-z)
	* configure.in: zlib is now required.
	* src/png2swf: New tool.
	* swfdump: Prints some image infos now.
	* pdf2swf: Fixed Image handling
	* avi2swf/: Is part of the main distribution now
	* src/wav2swf: New tool.

0.3.1:
	* configure: Didn't create all Makefiles when t1lib or jpeglib were absent. Fixed.
	* swfs/Makefile: FreeBSD fixes.

0.4.0:
	* pdf2swf/xpdf: Upgraded PDF Parser to Version 1.01.
	* pdf2swf: Can now handle Type 3 Fonts. (As Bitmaps)
	* src/swfcombine: Completely rewritten, using the rfxswf routines
	* configure: Check for libtool
	* lib/rfxswf: Fixed some parsing bugs (swffont, swfdump)
	* pdf2swf: Added antialiasing capabilities for Type 3 Fonts
	* lib/examples/makefonts: Fonts: Bounding boxes are now handled correctly
	* png2swf: Support for more image types
	* pdf2swf: New option -t (--stop)

0.4.1:
	* src/swfcombine: Bugfix with -x option
	* lib/Makefile: MacOSX fixes
	* pdf2swf/SWFOutput.cc: fixed undefined sqrt()
	* src/png2swf: Support for transparency
	* pdf2swf: Support for CID Fonts
	* src/swfcombine: Bugfixes
	* lib/rfxswf: Added Sprite Unfolding routines

0.4.2:
	* src/Makefile: OpenBSD fixes
	* lib/lame: Removed *.o files from archive
	* avi2swf: Implemented --flip option
	* pdf2swf: Implemented --flashversion option
	* pdf2swf: Implemented Viewer gadgets- it's now possible to call Flash functions via hyperlink

0.4.3:
	* src/jpeg2swf: Grayscale fix
	* lib/rfxswf: Improved MX support
	* pdf2swf: Command line fixes
	* swfdump: Added -f (--frames) option
	* png2swf: Added support for mode 6 images
	* swfs: Support for print protection in simple_viewer
	* swfs: added keyboard_viewer
	* swfcombine: Bugfixes
	* swfdump: Shows frame position now.
	* swfdump: Some definesound infos added
	* wav2swf: added support for definesound, looping and framerate
	* pdf2swf: Calling Actionscript Functions can now also be done via http: hyperlink,
	           e.g.: http://pdf2swf:call:_root.myFunction:parameter
	* ./*/Makefile: all Makefiles rewritten.

0.4.4:
	* src/swfextract: output file name handling fix
	* lib/rfxswf: better sprite fold/unfold support
	* src/swfdump: new option -p (--placements), support for exportassets, namecharacter
	* src/swfextract: support for font extraction
	* pdf2swf/font2swf: new tool, for converting Type1 fonts to SWF
	* lib/rfxswf: font routines fixed
	* lib/rfxswf: support for definejpegbits3
	* src/png2swf: better support for 32 bit images with transparency
	* pdf2swf/pdf2swf: slightly better TTF support, some fixes
	* pdf2swf/pdf2swf: Output filename is no longer mandatory
	* lib/rfxswf: added workaround for the 63-byte BMF_32 bug in the Flash Player
	* lib/rfxswf: fix for ratios in swfobject.c
	* src/swfdump: shows some info about video tags now
	* pdf2swf/pdf2swf: greatly improved spline conversion
	* pdf2swf/: Fix for t1lib-5.0.0
	* src/wav2swf: streaming sound now works for all framerates < 35.

0.5.0:
	* pdf2swf: added support for capline-styles
	* avi2swf: added h.263 support
	* avi2swf: improved sound support
	* Makefiles: added MingW/Cygwin support
	* pdf2swf/ttf2pt1: upgraded to ttf2pt1 3.4.3.
	* lib/: changed logf to msg (support for gcc 3.2)
	* src/jpeg2swf: Added support for H.263 compression (for correlated images).
	* swfc: New tool, allow compilation of .sc files to swf
	* swfbbox: New Tool, allows several bounding box operations on SWFs
	* wav2swf: added support for samplerate 44100 (Marcus Doemling)
	* avi2swf: added -r (--mp3-samplerate) parameter (Marcus Doemling)
	* lib/action: Integrated Ming Actioncompiler
	* lib/modules/swffont.c: New module, allows creation of SWF fonts from Type1 and TTF
	* lib/modules/swfshape.c: Support for gradients
	* lib/rfxswf.h: Support for MD5 encrypted passwords (PROTECT tags)

0.5.1:
	* png2swf: fixed a bug for 8 bit indexed images
	* lib/rfxswf.h: fixed a bug- could previously only be compiled with either t1lib or freetype
	* configure: newer avifile versions (>= 0.7.38) now also work.

0.6.0:
	* configure: added check for broken freetype- disable freetype in some cases
	* swfbbox: Added support for text boxes
	* png2swf: Fixed alpha conversion (removed definejpeg3 workaround)
	* swfc: added buttons, edittext fields
	* rfxswf: fixed font advance parameters (editboxes with custom font now work)
	* swfextract: Is able to extract alpha channels out of DEFINEBITS2 now.
	* pdf2swf: Made MingW compatible. There's now a Win32 version.
	* pdf2swf: Reworked font routines
	* swfcombine: Some fixes for clipping depths
	* swfextract: Reworked object listing output
	* lib/rfxswf: New method swf_FontPrepareForEditText()
	* lib/lame: Removed lame library source, it's now linked dynamically
	* lib/python: Added python interface

0.6.1:
	* swfc: Fixed .(edit)text- this was broken due to rfxswf font changes
	* pdf2swf: Fixed font matrix handling
	* pdf2swf: Fixed "highest charcode not displayed" bug
	* pdf2swf: Bounding boxes are now of the right size
	* pdf2swf: Fixed Windows crash in 4 bit palette images
	* pdf2swf: Fixed another variant of "Didn't find glyph xxx in font" bug

0.6.2:
	* swfbbox: Calculates the complete movie's bounding box now. New -e,-b,-B options.
	* pdf2swf: New "-s minlinewidth" option
	* swfdump: Fixed handling of PLACEOBJECT
	* lib/modules/swffont.c: Added support for new-style freetype headers
	* configure: Improved freetype and python detection, added fontconfig detection
	* swfdump: Support for shapes added
	* swfdump: several bugfixes from simon-swf@munton.demon.co.uk
	* pdf2swf: Added fontconfig font replacement
	* lib/h.263: added better support for custom frames
	* avi2swf: Is now ported to Win32, too.
	* pdf2swf: Upgraded to xpdf 3.00

0.6.3:
	* lib/modules/swfrender.c: New module, for shape->bitmap conversion
	* lib/rfxswf.c: Several small bugfixes
	* lib/modules/swftools.c: New function swf_Optimize()
	* src/swfc.c: .outline and .textshape support line drawings now, too
	* src/swfc.c: added -O option
	* src/swfc.c: added support for including actionscript (.action filename=)
	* src/swfc.c: frames now start at 1
	* src/swfextract.c: Objects extracted with -i are now scaled to width 512
	* src/swfextract.c: Fixed jpeg extraction bug
	* src/wav2swf.c: Big endian fixes
	* lib/modules/swfshape.c: too long lines are now split automatically
	* configure: Several Mac OS X fixes
	* pdf2swf/SWFOutputDev: refactored interface to pdf2swf.cc
	* src/png2swf.c: added -z option
	* src/jpeg2swf.c: added -z option
	* m4/python.m4: Python MacOS X fixes
	* src/gif2swf.c: New tool, for converting (animated) gifs to swf (Daichi Shinozaki)

0.7.0:
	* swfdump: Fixed bit overflow bug
	* lib/gfxdevice.h: Started implementation of graphic layer abstraction
	* pdf2swf: Fixed Type 3 color bug
	* pdf2swf: Fixed a rare rendering bug caused by the float conversion in moveTo
	* pdf2swf: Fixed CMYK conversion
	* pdf2swf: added support for joinstyles 
	* pdf2swf: capstyles don't require clipping anymore
	* pdf2swf: added support for dashed/dotted lines
	* pdf2swf: Images are now stored as either jpeg or zlib, whatever is smaller.
	* pdf2swf: Fixed Type0C handling
	* swfcombine: Fixed jpeg table conversion
	* lib/rfxswf.c: added support for definejpeg3 extraction
	* pdf2swf: New option -s bboxvars
	* pdf2swf: Added support for stroke/clip text rendering
	* swfbbox: Default behaviour has been fixed
	* pdf2swf: fix for non-closed shapes
	* pdf2swf: Font quality is now determined by the used font sizes
	* pdf2swf: Shapes are now all starting at (0,0), and then explizitly placed at their
	           actual starting positions (useful with zlib)
	* pdf2swf: Default Flash version is now 6

0.8.0:
	* lib/modules/swfsound.c: Fixed compile problem if the lame library is present
	* pdf2swf: Bugfix: -s flashversion was broken
	* pdf2swf: -b and -l now also work on Windows
	* swfbbox: The -c option is now documented
	* swfdump: Added support for flash 8
	* librfxswf: Added support for flash 8 filters and blend modes
	* src/swfc: Added support for flash 8 filters and blend modes
	* pdf2swf: upgraded to xpdf 3.01
	* swfcombine: new -w (--scalex) -h (--scaley) options

0.8.1:
	* pdf2swf: Upgraded to xpdf 3.02
	* lib/modules/swftools: Fixed several bugs in Flash8 parsing
	* src/swfrender: Added --ng switch
	* lib/swf/: New gfxdevice

0.9.0:
	* pdf2swf: Added support for Flash 8 Flashtype
	* pdf2swf: numerous bugfixes
	* pdf2swf: support for gradients
	* pdf2swf: support for different optimization levels (-O1, -O2, --flatten)
	* src/swfdump: Flash 8/9 support
	* pdf2swf: Common fonts are now linked directly into the executable
	* setup.py: added Python setup script
	* lib/python/gfx: New python module for accessing pdf2swf functionality
	* as3compile: New tool, for compiling ActionScript 3.0
	* swfc: added AS3.0 support

0.9.1:
	* pdf2swf: bugfixes, speedups
	* pdf2swf: improved font quality (FlashType)
	* librfxswf: support for fontalignzones
	* gpdf2swf: completely reworked pdf2swf GUI (Ricardo Pedroso)
	* as3compile: many bugfixes, support for swc libraries
